Description: Ð ÐµÐ³ÑƒÐ»Ð¸Ñ€Ð¾Ð²ÐºÐ° Ñ•Ñ€ÐºÐ¾Ñ•Ñ‚Ð¸ Ñ•ÐºÑ€Ð°Ð½Ð° Ð½Ð¾ÑƒÑ‚Ð±ÑƒÐºÐ° Ð½Ðµ 

Ñ€Ð°Ð±Ð¾Ñ‚Ð°ÐµÑ‚ Ð¿Ð¾Ñ•Ð»Ðµ Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸Ñ• CLD-14.16.2 Ð´Ð¾ CLD-15 Ð¸ 

Ð´Ð°Ð»ÐµÐµ Ð´Ð¾ Ñ•Ð²ÐµÐ¶Ð¸Ñ… Ð°Ð¿Ð´ÐµÐ¹Ñ‚Ð¾Ð². Ð¡Ñ€Ð°Ð²Ð½Ð¸Ð» Ð´Ð²Ðµ Ð²ÐµÑ€Ñ•Ð¸Ð¸ 

(Ð°Ð¿Ð³Ñ€ÐµÐ¹Ð´Ð¸Ð» Ñ‡ÐµÑ€ÐµÐ· iso) - Ð² 15-Ð¾Ð¹ xev Ð½Ðµ Ð²Ð¸Ð´Ð¸Ñ‚ Ð¸ Ð½Ðµ 

Ð¿ÐµÑ€ÐµÑ…Ð²Ð°Ñ‚Ñ‹Ð²Ð°ÐµÑ‚ fn-F2 Ð¸ fn-F3, Ð¸ Ð½Ðµ Ð²Ñ‹Ð´Ð°Ñ‘Ñ‚ Ñ•Ð¾Ð±Ñ‹Ñ‚Ð¸Ðµ RRNotify, Ð² 

Ð¾Ñ‚Ð»Ð¸Ñ‡Ð¸Ð¸ Ð¾Ñ‚ 14.16.2, ÐºÐ¾Ñ‚Ð¾Ñ€Ð°Ñ• Ð²Ð¸Ð´Ð¸Ñ‚, Ð¿ÐµÑ€ÐµÑ…Ð²Ð°Ñ‚Ñ‹Ð²Ð°ÐµÑ‚ Ð¸ 

Ð²Ñ‹Ð´Ð°ÐµÑ‚:





RRNotify event, serial 49, synthetic NO, window 0x4e00001,


    subtype XRROutputPropertyChangeNotifyEvent


    output LVDS1, property Backlight, timestamp 158225, state NewValue





RRNotify event, serial 51, synthetic NO, window 0x4e00001,


    subtype XRROutputPropertyChangeNotifyEvent


    output LVDS1, property Backlight, timestamp 159179, state NewValue





Ð•Ð¾ÑƒÑ‚ - samsung np530u3c; Ð²ÐµÑ€Ñ•Ð¸Ð¸ Ñ•Ð´Ñ€Ð°: Ñ€Ð°Ð±Ð¾Ñ‡Ð°Ñ• Ð¸Ð· 14.16.2 - 

vmlinuz-3.18.14-calculate, Ð½ÐµÑ€Ð°Ð±Ð¾Ñ‡Ð¸Ðµ Ð¸Ð· 15 vmlinuz-3.18.20-calculate Ð¸ 

vmlinuz-4.2.3-calculate.

History

12/20/2015 09:40 pm - Anatoly Laptev

Ð¡Ð¿Ð°Ñ•ÐµÐ½Ð¸Ðµ ÑƒÑ‚Ð¾Ð¿Ð°ÑŽÑ‰Ð¸Ñ… - Ð´ÐµÐ»Ð¾ Ñ€ÑƒÐº Ñ•Ð°Ð¼Ð¸Ñ… ÑƒÑ‚Ð¾Ð¿Ð°ÑŽÑ‰Ð¸Ñ…, ÐºÐ°Ðº Ð³Ð¾Ð²Ð¾Ñ€Ñ•Ñ‚.


Ð’ Ð´Ð¸Ñ•Ñ‚Ñ€Ð¸Ð±ÑƒÑ‚Ð¸Ð²Ðµ CLD-15, Ð² Ð¾Ñ‚Ð»Ð¸Ñ‡Ð¸Ð¸ Ð¾Ñ‚ CLD-14.16.2, Ð¾Ñ‚Ñ•ÑƒÑ‚Ñ•Ñ‚Ð²ÑƒÐµÑ‚ Ñ„Ð°Ð¹Ð» 60-keyboard.rules Ð² 

Ð¿Ð°Ð¿ÐºÐµ /lib/udev/rules.d, ÐºÐ¾Ñ‚Ð¾Ñ€Ñ‹Ð¹ Ð²Ð¿Ð¾Ð»Ð½Ðµ Ð¼Ð¾Ð¶Ð½Ð¾ Ñ•ÐºÐ¾Ð¿Ð¸Ñ€Ð¾Ð²Ð°Ñ‚ÑŒ Ð¸Ð· Ð¿Ñ€ÐµÐ¶Ð½ÐµÐ³Ð¾ 

Ð´Ð¸Ñ•Ñ‚Ñ€Ð¸Ð±ÑƒÑ‚Ð¸Ð²Ð° (Ð°Ñƒ, Ð²Ð¾Ð·Ñ€Ð°Ð¶Ð°ÑŽÑ‰Ð¸Ðµ Ð¿Ñ€Ð¾Ñ‚Ð¸Ð² Ð´ÑƒÐ±Ð»Ð¸Ñ€Ð¾Ð²Ð°Ð½Ð¸Ñ• ÐºÐ¾Ñ€Ð½Ñ•!), Ð½Ñƒ 

Ð¸Ð»Ð¸ Ð½Ð¸Ð¶Ðµ (Ð½Ðµ Ð·Ð°Ð±Ñ‹Ð²Ð°Ð¹Ñ‚Ðµ Ð¿Ñ€Ð¾ Ð¿Ñ€Ð°Ð²Ð°, Ð¿Ñ€Ð¾Ñ•Ñ‚Ð¾ Ð¿Ñ€Ð¾Ð´ÑƒÐ±Ð»Ð¸Ñ€ÑƒÐ¹Ñ‚Ðµ, ÐºÐ°Ðº Ñƒ 

Ñ•Ð¾Ñ•ÐµÐ´Ð½Ð¸Ñ… Ñ„Ð°Ð¹Ð»Ð¾Ð²), Ð¿Ð¾Ñ•Ð»Ðµ Ð¿ÐµÑ€ÐµÐ·Ð°Ð¿ÑƒÑ•ÐºÐ° Ð²Ñ•Ñ‘ Ñ€Ð°Ð±Ð¾Ñ‚Ð°ÐµÑ‚. ÐŸÑ€Ð¾ÑˆÑƒ 

Ð·Ð½Ð°ÑŽÑ‰Ð¸Ñ… Ñ•Ñ•ÐºÐ°Ð»Ð¸Ñ€Ð¾Ð²Ð°Ñ‚ÑŒ Ñ•Ñ‚Ð¾Ñ‚ Ð²Ð¾Ð¿Ñ€Ð¾Ñ• Ð¿Ð¾ Ð°Ð´Ñ€ÐµÑ•Ñƒ, Ñ‡Ñ‚Ð¾Ð±Ñ‹ Ð½Ðµ Ð²Ñ‹Ð¿Ð°Ð» Ð² 

15.12, Ñ•Ð¿Ð°Ñ•Ð¸Ð±Ð¾!

12/20/2015 09:53 pm - Anatoly Laptev

Ð°, Ð´Ð°, ÐºÐ¾Ð´ Ñ‚Ð°Ðº Ð¿Ñ€Ð°Ð²Ð¸Ð»ÑŒÐ½ÐµÐµ ÐºÐ¾Ð¿Ð¸-Ð¿Ð°Ñ•Ñ‚Ð¸Ñ‚ÑŒ:


<pre>


calculate rules.d # cat 60-keyboard.rules 


# do not edit this file, it will be overwritten on update





ACTION=="remove", GOTO="keyboard_end"


KERNEL!="event*", GOTO="keyboard_end"


ENV{ID_INPUT_KEY}=="", GOTO="keyboard_end"





# ignore all bluetooth devices


SUBSYSTEMS=="bluetooth", GOTO="keyboard_end"





# import key mapping for USB device


SUBSYSTEMS=="usb", IMPORT{builtin}="hwdb --subsystem=usb --lookup-prefix=keyboard:", \
  RUN{builtin}+="keyboard", GOTO="keyboard_end"





# import key mapping for AT keyboard from DMI data


DRIVERS=="atkbd", IMPORT{builtin}="hwdb 'keyboard:$attr{[dmi/id]modalias}'", \


  RUN{builtin}+="keyboard", GOTO="keyboard_end"





# import key mapping for platform input device


KERNELS=="input*", IMPORT{builtin}="hwdb 'keyboard:name:$attr{name}:$attr{[dmi/id]modalias}'", \


  RUN{builtin}+="keyboard", GOTO="keyboard_end"





LABEL="keyboard_end"


</pre>

12/22/2015 06:16 pm - Mikhail Hiretsky

Ð• ÐºÐ°ÐºÐ¾Ð¹ Ð²ÐµÑ€Ñ•Ð¸Ð¸ @sys-apps/hwids@ Ñƒ Ð²Ð°Ñ• Ð² Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ðµ? Ð”ÐµÐ»Ð¾ Ð² Ñ‚Ð¾Ð¼, Ñ‡Ñ‚Ð¾ eudev Ñ‚ÐµÐ¿ÐµÑ€ÑŒ 

Ð¸Ñ•Ð¿Ð¾Ð»ÑŒÐ·ÑƒÐµÑ‚ 60-eudev.rules Ð²Ð¼ÐµÑ•Ñ‚Ð¾ 60-keyboard.rules, Ð½Ð¾ ÐµÐ¼Ñƒ Ð½ÐµÐ¾Ð±Ñ…Ð¾Ð´Ð¸Ð¼ Ð½Ð¾Ð²Ñ‹Ð¹ 

Ð¿Ð°ÐºÐµÑ‚ @hwids@.

12/22/2015 06:20 pm - Anatoly Laptev

Mikhail Hiretsky wrote:


> Ð• ÐºÐ°ÐºÐ¾Ð¹ Ð²ÐµÑ€Ñ•Ð¸Ð¸ @sys-apps/hwids@ Ñƒ Ð²Ð°Ñ• Ð² Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ðµ? Ð”ÐµÐ»Ð¾ Ð² Ñ‚Ð¾Ð¼, Ñ‡Ñ‚Ð¾ eudev Ñ‚ÐµÐ¿ÐµÑ€ÑŒ 

Ð¸Ñ•Ð¿Ð¾Ð»ÑŒÐ·ÑƒÐµÑ‚ 60-eudev.rules Ð²Ð¼ÐµÑ•Ñ‚Ð¾ 60-keyboard.rules, Ð½Ð¾ ÐµÐ¼Ñƒ Ð½ÐµÐ¾Ð±Ñ…Ð¾Ð´Ð¸Ð¼ Ð½Ð¾Ð²Ñ‹Ð¹ 

Ð¿Ð°ÐºÐµÑ‚ @hwids@.





sys-apps/hwids-20150717-r1

12/23/2015 11:03 am - Mikhail Hiretsky

ÐŸÐ¾Ð¿Ñ€Ð¾Ð±ÑƒÐ¹Ñ‚Ðµ ÑƒÐ´Ð°Ð»Ð¸Ñ‚ÑŒ @/lib/udev/rules.d/60-keyboard.rules@ - Ñ•ÐµÐ¹Ñ‡Ð°Ñ• Ð²Ñ•Ñ‘ Ð´Ð¾Ð»Ð¶Ð½Ð¾ 

Ñ€Ð°Ð±Ð¾Ñ‚Ð°Ñ‚ÑŒ Ð±ÐµÐ· Ð½ÐµÐ³Ð¾.

12/23/2015 11:03 am - Mikhail Hiretsky

- Status changed from New to Feedback

12/23/2015 11:43 am - Anatoly Laptev

Mikhail Hiretsky wrote:


> ÐŸÐ¾Ð¿Ñ€Ð¾Ð±ÑƒÐ¹Ñ‚Ðµ ÑƒÐ´Ð°Ð»Ð¸Ñ‚ÑŒ @/lib/udev/rules.d/60-keyboard.rules@ - Ñ•ÐµÐ¹Ñ‡Ð°Ñ• Ð²Ñ•Ñ‘ Ð´Ð¾Ð»Ð¶Ð½Ð¾ 

Ñ€Ð°Ð±Ð¾Ñ‚Ð°Ñ‚ÑŒ Ð±ÐµÐ· Ð½ÐµÐ³Ð¾.





Ð£Ð´Ð°Ð»Ð¸Ð». Ð¡Ð¸Ñ•Ñ‚ÐµÐ¼Ñƒ Ð¾Ð±Ð½Ð¾Ð²Ð¸Ð» Ð¸ Ð¿ÐµÑ€ÐµÐ·Ð°Ð³Ñ€ÑƒÐ·Ð¸Ð». Ð ÐµÐ³ÑƒÐ»Ð¸Ñ€Ð¾Ð²ÐºÐ° Ñ•Ñ€ÐºÐ¾Ñ•Ñ‚Ð¸ 

Ñ•ÐºÑ€Ð°Ð½Ð° Ñ€Ð°Ð±Ð¾Ñ‚Ð°ÐµÑ‚. Ð¡Ð¿Ð°Ñ•Ð¸Ð±Ð¾, ÐœÐ¸Ñ…Ð°Ð¸Ð»!





Ð¥Ð¾Ñ‡Ñƒ Ð´Ð¾Ð±Ð°Ð²Ð¸Ñ‚ÑŒ Ð¿Ð°Ñ€Ñƒ Ñ•Ð»Ð¾Ð².


1. Ð¤Ð°Ð¹Ð»Ð° 60-eudev.rules Ð½ÐµÑ‚, ÐµÑ•Ñ‚ÑŒ 60-evdev.rules, Ñ• Ð´Ð°Ñ‚Ð¾Ð¹ Ð¸Ð·Ð¼ÐµÐ½ÐµÐ½Ð¸Ñ• 14.12.2015.


2. ÐŸÑ€Ð¸ Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸Ð¸ Ð²ÐµÑ€Ñ•Ð¸Ñ• sys-apps/hwids-20150717-r1 Ð¾Ñ•Ñ‚Ð°Ð»Ð°Ñ•ÑŒ Ð±ÐµÐ· Ð¸Ð·Ð¼ÐµÐ½ÐµÐ½Ð¸Ð¹.


ÐŸÐ¾Ñ•Ñ‚Ð¾Ð¼Ñƒ Ð½Ðµ Ð¿Ð¾Ð½Ñ•Ð» Ð½Ð¸ Ð¼ÐµÑ…Ð°Ð½Ð¸Ð·Ð¼Ð° Ð¿Ð¾Ð»Ð¾Ð¼ÐºÐ¸, Ð½Ð¸ Ð¼ÐµÑ…Ð°Ð½Ð¸Ð·Ð¼Ð° 

Ð¿Ð¾Ñ‡Ð¸Ð½ÐºÐ¸. Ð•Ñ•Ð»Ð¸ Ð²Ð¾Ð·Ð¼Ð¾Ð¶Ð½Ð¾ - Ð¿Ñ€Ð¾ÑˆÑƒ Ð¿Ñ€Ð¾ÐºÐ¾Ð¼Ð¼ÐµÐ½Ñ‚Ð¸Ñ€Ð¾Ð²Ð°Ñ‚ÑŒ.

12/23/2015 03:20 pm - Mikhail Hiretsky

- Status changed from Feedback to Closed

1. Ð¯ Ð¾ÑˆÐ¸Ð±Ñ•Ñ• - ÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ @60-evdev.rules@


2. Ð’ 15 Ð²ÐµÑ€Ñ•Ð¸Ð¸ Ð¸Ñ•Ð¿Ð¾Ð»ÑŒÐ·ÑƒÐµÑ‚Ñ•Ñ• @sys-apps/hwids-20150129@ - Ð¾Ð½ Ð½Ðµ Ð¿Ð¾Ð´Ñ…Ð¾Ð´Ð¸Ñ‚ Ðº 

@sys-fs/eudev-3.1.2@. ÐŸÐ¾Ñ…Ð¾Ð¶Ðµ, Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸Ðµ hwids Ð±Ñ‹Ð»Ð¾ ÑƒÐ¶Ðµ Ð¿Ð¾Ñ•Ð»Ðµ Ñ‚Ð¾Ð³Ð¾, ÐºÐ°Ðº Ð²Ñ‹ 

Ñ€ÐµÑˆÐ¸Ð»Ð¸ Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ñƒ.
12/23/2015 04:48 pm - Anatoly Laptev

Mikhail Hiretsky wrote:


> 1. Ð¯ Ð¾ÑˆÐ¸Ð±Ñ•Ñ• - ÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ @60-evdev.rules@


> 2. Ð’ 15 Ð²ÐµÑ€Ñ•Ð¸Ð¸ Ð¸Ñ•Ð¿Ð¾Ð»ÑŒÐ·ÑƒÐµÑ‚Ñ•Ñ• @sys-apps/hwids-20150129@ - Ð¾Ð½ Ð½Ðµ Ð¿Ð¾Ð´Ñ…Ð¾Ð´Ð¸Ñ‚ Ðº 

@sys-fs/eudev-3.1.2@. ÐŸÐ¾Ñ…Ð¾Ð¶Ðµ, Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸Ðµ hwids Ð±Ñ‹Ð»Ð¾ ÑƒÐ¶Ðµ Ð¿Ð¾Ñ•Ð»Ðµ Ñ‚Ð¾Ð³Ð¾, ÐºÐ°Ðº Ð²Ñ‹ 

Ñ€ÐµÑˆÐ¸Ð»Ð¸ Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ñƒ.





Ð¡Ð¿Ð°Ñ•Ð¸Ð±Ð¾ Ð·Ð° ÐºÐ¾Ð¼Ð¼ÐµÐ½Ñ‚Ð°Ñ€Ð¸Ð¸.


Ð’Ð¾Ð¿Ñ€Ð¾Ñ• Ð·Ð°ÐºÑ€Ñ‹Ñ‚.
